## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanQName::InvalidQNameException Class Reference

Inheritance diagram for XalanQName::InvalidQNameException:

[legend]
Collaboration diagram for XalanQName::InvalidQNameException:

[legend]
List of all members.

## Public Member Functions

- InvalidQNameException (const XalanDOMChar *theQName, XalanDOMString::size_type theQNameLength, const XalanDOMString &theURI, int theLineNumber, int theColumnNumber, XalanDOMString &theResult)
    Constructor.
- InvalidQNameException (const LocatorType &theLocator, const XalanDOMChar *theQName, XalanDOMString::size_type theQNameLength, XalanDOMString &theResult)
    Constructor.
- InvalidQNameException (const XalanDOMChar *theQName, XalanDOMString::size_type theQNameLength, XalanDOMString &theResult)
    Constructor.
- virtual ~InvalidQNameException ()
- virtual const XalanDOMChar * getType () const
    Retrieve type of exception.

## Constructor & Destructor Documentation

XalanQName::InvalidQNameException::InvalidQNameException | ( | const XalanDOMChar * | theQName,
|  | XalanDOMString::size_type | theQNameLength,
|  | const XalanDOMString & | theURI,
|  | int | theLineNumber,
|  | int | theColumnNumber,
|  | XalanDOMString & | theResult
| ) |

  | Constructor. Parameters:
  theQName | The QName string that is not valid.
  theQNameLength | The length of the string.
  theURI | the URI of the related document, if known
  theLineNumber | the line number of the related document.
  theColumnNumber | the column number of the related document.
  theType | type of exception, default is "XSLException"

XalanQName::InvalidQNameException::InvalidQNameException | ( | const LocatorType & | theLocator,
|  | const XalanDOMChar * | theQName,
|  | XalanDOMString::size_type | theQNameLength,
|  | XalanDOMString & | theResult
| ) |

  | Constructor. Parameters:
  theLocator | The locator instance for error reporting.
  theQName | The QName string that is not valid.
  theQNameLength | The length of the string.
  theType | type of exception, default is "XSLException"

XalanQName::InvalidQNameException::InvalidQNameException | ( | const XalanDOMChar * | theQName,
|  | XalanDOMString::size_type | theQNameLength,
|  | XalanDOMString & | theResult
| ) |

  | Constructor. Parameters:
  theQName | The QName string that is not valid.
  theQNameLength | The length of the string.
  theType | type of exception, default is "XSLException"

virtual XalanQName::InvalidQNameException::~InvalidQNameException | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual const XalanDOMChar* XalanQName::InvalidQNameException::getType | ( |  | ) | const`[virtual]`

| Retrieve type of exception. Returns: type of exception Implements XSLException.

The documentation for this class was generated from the following file:

- XalanQName.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.